package ru.yandex.canvas.service.video.presets.configs.options;

public class DomainOptionConfig extends TextOptionConfig {

    private DomainOptionConfig() {
    }

    public DomainOptionConfig(DomainOptionConfig option) {
        super(option);
        setType(OptionType.TEXT);
    }

    public static DomainOptionConfig.Builder domainBuilder() {
        return new DomainOptionConfig().new Builder();
    }

    public class Builder extends TextOptionConfig.Builder {
        protected Builder() {
        }

        @Override
        public DomainOptionConfig build() {
            return new DomainOptionConfig(DomainOptionConfig.this);
        }

    }

}
